# org.apache.ignite.spi

## Interfaces

- IgniteSpi
- IgniteSpiCloseableIterator
- IgniteSpiContext
- IgniteSpiManagementMBean

## Classes

- IgniteSpiAdapter
- IgniteSpiNodeValidationResult
- IgniteSpiThread
- IgniteSpiThreadFactory

## Enums

- IgnitePortProtocol

## Exceptions

- IgniteSpiException
- IgniteSpiMultiException
- IgniteSpiVersionCheckException

## Annotation Types

- IgniteSpiConfiguration
- IgniteSpiConsistencyChecked
- IgniteSpiMultipleInstancesSupport
- IgniteSpiNoop